package cn.service.atv;

import java.util.List;
import java.util.Map;
import cn.pojo.atv.AtvKnowledge;
import cn.pojo.atv.AtvKnowledgeFile;

public interface IAtvKnowledgeService
{
	/**添加一对多*/
    void saveMain(AtvKnowledge atvKnowledge, List<AtvKnowledgeFile> atvKnowledgeFileList);
    Boolean updateIsRelease(Map<String,Object> pageParam); 
    Boolean delBatch(List<String> idList);
    /**修改一对多*/
    void updateMain(AtvKnowledge atvKnowledge, List<AtvKnowledgeFile> atvKnowledgeFileList);
    AtvKnowledge getKnowledgeDetailById(String id);
}
